/** 游戏管理器*/

export class GameMgr {
    private static _instance: GameMgr;
    public static get Instance(): GameMgr {
        if (this._instance == null) {
            this._instance = new GameMgr();
        }
        return this._instance;
    }

    //游戏状态
    public gameStatus: GameStatus = GameStatus.None;

    //设置游戏状态
    public setGameStatus(status: GameStatus) {
        this.gameStatus = status;
    }

    public static get inst(): GameMgr {
        return this.Instance;
    }
}

export enum GameStatus {
    /** 游戏未开始 */
    None,
    /** 游戏进行中 */
    Playing,
    /** 游戏结束 */
    End,
}